Ziett
Docs
Docs
  • API Reference
Docs
Docs
  • API Reference
Meet Ziett
Login
  1. Messages
  • API Docs - Ziett
  • API Reference
    • Overview
    • Messages
      • Send Transactional Message
        POST
      • List Organization Messages
        GET
      • Retrieve Message Details
        GET
    • Campaigns
      • List Organization Campaigns
      • Create Batch Campaign
      • List Campaign Messages
      • Retrieve Campaign Details
  1. Messages

Send Transactional Message

POST
https://api.ziett.co/c/v1/messages
Last modified:2026-05-14 08:49:32
Submit a request to send a single transactional message to a specific recipient. This endpoint is designed for high-reliability programmatic notifications.

How it works#

1.
Validation: The system validates your API Key and required scopes.
2.
Routing: The recipient's number is analyzed to identify the target carrier network.
3.
Pricing: Based on your organization's pricing plan, the cost for the specific route is calculated.
4.
Funds Check: The system ensures your organization has sufficient credits. If so, they are reserved/debited.
5.
Queuing: The message is placed in a high-priority delivery queue.
6.
Response: A 202 Accepted status is returned with a unique message_id for tracking.

Limits#

Rate Limit: This endpoint is limited to 15 requests per second per API Key.

Delivery Status#

Since the delivery process is asynchronous, you should use the GET /messages/{message_id} endpoint or configure webhooks (if available) to monitor the message's progress.

Request

Authorization
API Key
Add parameter in header
X-API-KEY
Example:
X-API-KEY: ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢202Accepted
application/json
The message has been successfully validated and accepted for delivery.
Bodyapplication/json

🟠401Unauthorized
🟠402
🟠422Parameter Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.ziett.co/c/v1/messages' \
--header 'X-API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "remitter_id": "019b4b56-e704-7c30-83a0-527df63x3e00",
    "channel_type": "SMS",
    "target_e164": "+244990090990",
    "content": "Quae sunt suppellex audax nisi ver maxime. Accommodo adopto placeat colo cinis crepusculum aeneus pauper. Taedium quibusdam ait adeo abscido sequi corrupti.",
    "save_contact": {
        "name": "Carlos David",
        "email": "qwut@gmail.gwmi",
        "tags": [
            "New Customer",
            "Premium Subscription"
        ]
    }
}'
Response Response Example
{
    "message_id": "019b4b56-e704-7c30-83a0-527df63x3e00"
}
Modified at 2026-05-14 08:49:32
Previous
Overview
Next
List Organization Messages
Built with